Skip to main content

Scan API

POST /v0/transactions

POST/v0/transactions

Removed in 0.7.0. Historical definition from 0.6.14.

Deprecated with known bugs that will not be fixed, use /v2/updates instead. Lists transactions, by default in ascending order, paged, from ledger begin or optionally starting after a provided event id.

Protocol Details

Inputs

Body

application/json
page_end_event_idstring
Note that all transactions carry some monotonically-increasing event_id. Omit this page_end_event_id to start reading the first page, from the beginning or the end of the ledger, depending on the sort_order column. A subsequent request can fill the page_end_event_id with the last event_id of the TransactionHistoryResponse to continue reading in the same sort_order. The transaction with event_id == page_end_event_id will be skipped in the next response, making it possible to continuously read pages in the same sort_order.
sort_orderstring
Sort order for the transactions. For ascending order, from beginning to the end of the ledger, use “asc”. For descending order, from end to beginning of the ledger, use “desc”. “asc” is used if the sort_order is omitted.
page_sizeinteger (int64)required
The maximum number of transactions returned for this request.

Outputs

200

application/json
transactionsTransactionHistoryResponseItem[]required

400

application/json
errorstringrequired

404

application/json
errorstringrequired

500

application/json
errorstringrequired

History

Removed in0.7.0

Last available in 0.6.14. Retained for historical reference.

Updated0.5.12

The POST /v0/transactions operation changed in this snapshot.

Deprecated0.5.10